<div class="container">
  <!-- The left part is listing all the pokemons -->
  <div class="split left">
    <div class="card">
        <span *ngFor="let pokemon of pokemonList">

            <!-- When a pokemons card is clicked, then showPokemonCard is called, for showing detailed information for the pokemons-->
            <div class="card-body" (click)="showPokemonCard(pokemon)">
                <h5 class="card-title">{{pokemon.name}}</h5>
                <p class="card-text">id: {{pokemon.id}}</p>
                <img src={{pokemon.image}} alt=""/>

              <!-- Collects a pokemons card to the trainer -->
                <button class="collect" (click)="savePokemon(pokemon)"> Collect </button>
            </div>
        </span>
    </div>
  </div>
  <!-- The right section shows detailed information for a pokemons -->
  <div class="split right">
    <div class="pokemon" *ngIf="pokemon">

      <div class="base_stats">
        <h2>Base Stats </h2>
        <img src={{pokemon.image}} alt=""/>
        <ul>
          <li>Name: {{pokemon.name}} </li>

          <li> Types:
            <span *ngFor="let t of pokemon.types">
              <p>  {{t.type.name}} </p>
            </span>
          </li>
          <li> Base Stats:
            <span *ngFor="let stat of pokemon.stats">
              <p> {{stat.base_stat}}, Name: {{stat.stat.name}} </p>
            </span>
          </li>
        </ul>

        <h2>Profile </h2>
        <ul>
          <li>Height:  {{pokemon.height}}  </li>
          <li>Weight:  {{pokemon.weight}}</li>
          <li>Experience:  {{pokemon.base_experience}}</li>
          <li> Abilities:
            <span *ngFor="let a of pokemon.abilities">
              <p>  {{a.ability.name}} </p>
            </span>
          </li>
        </ul>

        <h2>Moves</h2>
        <ul>
        <span *ngFor="let m of pokemon.moves">
          <li> {{m.move.name}} </li>
        </span>
        </ul>

      </div>
    </div>
  </div>
</div>
